<!-- 鼠标移入移出 -->
<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>创建链表-移除元素</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
	<script>
		function LinkedList(){
				//表示要加入链表的项
				let Node=function(element){
					//添加到列表的值
					this.element=element;
					//指向链表中下一个节点项的指针
					this.next=null;
				};
				let length=0;//列表项的数量，length属性为私有变量
				let head=null;//第一个节点的引用
				this.append=function(element){

				};
				this.insert=function(position,element){

				};
				this.removeAt=function(position){

				};
				this.indexOf=function(element){

				};
				this.isEmpty=function(){

				};
				this.size=function(){

				};
				this.getHead=function(){

				};
				this.print=function(){

				};
			};
		this.removeAt=function(position){
			//检查越界值
			if(position>-1&&position<length){
				let current=head,
					previous,
					index=0;
					//移除第一项
					if(position===0){
						head=current.next;
					}else{
						while(index++<position){
							previous=current;
							current=current.next;
						}
						//将previous与current的下一项链接起来，跳过current，从而移除
						previous.next=current.next;
					}
					length--;
					return current.element;
			}else{
				return null;
			}
		};
		let list=new LinkedList();
		list.removeAt(1);
  	</script>
 </body>
</html>